# Uses of Interface
java.lang.instrument.ClassFileTransformer

Packages that use ClassFileTransformer
Package
Description
java.lang.instrument
Provides services that allow Java programming language agents to instrument programs running on the JVM.

## Uses of ClassFileTransformer in java.lang.instrument

Methods in java.lang.instrument with parameters of type ClassFileTransformer
Modifier and Type
Method
Description
`void`
Instrumentation.`addTransformer(ClassFileTransformer transformer)`
Registers the supplied transformer.
`void`
Instrumentation.`addTransformer(ClassFileTransformer transformer, boolean canRetransform)`
Registers the supplied transformer.
`boolean`
Instrumentation.`removeTransformer(ClassFileTransformer transformer)`
Unregisters the supplied transformer.
`void`
Instrumentation.`setNativeMethodPrefix(ClassFileTransformer transformer, String prefix)`
This method modifies the failure handling of native method resolution by allowing retry with a prefix applied to the name.